export class LoadPersonDetail {
    static readonly type = '[Search person detail] Load PersonDetail';

    constructor(public personId: number) {
    }
}

export class LoadPersonOtherDetail {
    static readonly type = '[Search person detail] Load PersonOtherDetail';

    constructor(public personId: number) {
    }
}

export class LoadPersonPhoto {
    static readonly type = '[Search person detail] Load PersonPhoto';

    constructor(public personId: number) {
    }
}

export class LoadPersonContacts {
    static readonly type = '[Search person detail] Load PersonContacts';

    constructor(public personId: number) {
    }
}

export class LoadPersonMemberships {
    static readonly type = '[Search person detail] Load PersonMemberships';

    constructor(public personId: number) {
    }
}

export class LoadPersonFunctions {
    static readonly type = '[Search person detail] Load PersonFunctions';

    constructor(public personId: number) {
    }
}

export class LoadPersonQualifications {
    static readonly type = '[Search person detail] Load PersonQualifications';

    constructor(public personId: number) {
    }
}

export class LoadPersonOffers {
    static readonly type = '[Search person detail] Load PersonOffers';

    constructor(public personId: number) {
    }
}

export class ClearPersonDetailData {
    static readonly type = '[Search person detail] ClearPersonDetailData';
}
